function outInfo=vcinfo
%
%  VCINFO  pomocna funkce pro SNU.
%
%  vystupem je datova struktura obsahujici seznam
%  demo programu pro nalezeni vlastnich cisel
%
%  Josef Danek

% Initialize demo index number
n=0;

% ===============================================
% Uplny problem
% ===============================================
n=n+1;
vcList(n).Name='Úplný problém';
vcList(n).Type='Vlastní čísla';
vcList(n).Help= {
	' Metody na nalezení všech vlastních čísel čtvercové matice. ' 
	' Uvedené metody využívají skutečnosti, že podobné matice'
        ' mají stejná vlastní čísla.'
        ' Konstruujeme posloupnost navzájem podobných matic,'
        ' které konvergují k trojúhelníkové, resp. diagonální matici,'
        ' jež mají vlastní čísla na diagonále' 
 };
vcList(n).DemoList= {
    'LR-transformace',
    '   Příklad LU-rozkladu matice'
    '   Příklad 1' 
    'QR-transformace',
    '   Příklad 2' 
    'Jacobiova diagonalizace',
    '   Postupná volba nulovaných prvků' 
    '   Volba nulovaného prvku podle velikosti absolutní hodnoty ' 
};

vcList(n).FcnList= {
    '',
    'testuj 3 pr001',
    'testuj 3 pr002',
    '',
    'testuj 3 pr003',
    '',
    'testuj 3 pr004',
    'testuj 3 pr005',
};

% ===============================================
% Castecny problem
% ===============================================
n=n+1;
vcList(n).Name='Částečný problém';
vcList(n).Type='Vlastní čísla';
vcList(n).Help= {...           
	' Metody na nalezení tzv. dominantního vlastního čísla'
        ' (např. největšího v absolutní hodnotě).'
 };

vcList(n).DemoList={
   'Mocninná metoda',
    '   - bez normalizace'
    '   - s normalizací'
   'Metoda Rayleighova podílu',
    '   - bez normalizace'
    '   - s normalizací'
   'Selhání metod při nesplnění předpokladů',
    '   špatná volba počátečního vektoru'
    '   dobrá volba počátečního vektoru'
    };
vcList(n).FcnList={
    '',
    'testuj 3 pr006',
    'testuj 3 pr007',
    '',
    'testuj 3 pr008',
    'testuj 3 pr009',
    '',
    'testuj 3 pr010',
    'testuj 3 pr011',
    };

outInfo=vcList;



















